package com.vendor.platform.ui.internal;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.platform.ui.Messages;
import com.vendor.platform.ui.internal.IniUtils;
import com.vendor.platform.ui.internal.PlatformStateControlUtils;
import java.util.Locale;
import org.eclipse.jface.action.Action;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.action.IMenuListener;
import org.eclipse.jface.action.IMenuManager;

public class LanguageMenuBuilder implements IMenuListener {
  private Action chineseLanguageAction;
  
  private Action enLanguageAction;
  
  public LanguageMenuBuilder() {
    this.chineseLanguageAction = (Action)new Object(this, Messages.LanguageMenuBuilder_0, 8);
    this.chineseLanguageAction.setId("com.vendor.switchChineseLanguage");
    this.enLanguageAction = (Action)new Object(this, Messages.LanguageMenuBuilder_2, 8);
    this.enLanguageAction.setId("com.vendor.switchEnglishLanguage");
  }
  
  public void menuAboutToShow(IMenuManager manager) {
    fillMenu(manager);
    boolean platformEnabled = PlatformStateControlUtils.isPlatformEnabled();
    this.enLanguageAction.setEnabled(platformEnabled);
    this.chineseLanguageAction.setEnabled(platformEnabled);
  }
  
  public void fillMenu(IMenuManager manager) {
    manager.removeAll();
    String nl = IniUtils.getIniConfiguration("osgi.nl");
    if (nl.length() == 0) {
      nl = Locale.getDefault().toString();
      if (!nl.equals(Locale.US.toString()) && 
        !nl.equals(Locale.SIMPLIFIED_CHINESE.toString()))
        if (nl.startsWith("en_")) {
          nl = Locale.US.toString();
        } else if (nl.startsWith("zh_")) {
          nl = Locale.SIMPLIFIED_CHINESE.toString();
        }  
    } 
    if (nl.equals(Locale.US.toString())) {
      this.enLanguageAction.setChecked(true);
      if (this.chineseLanguageAction.isChecked())
        this.chineseLanguageAction.setChecked(false); 
    } else if (nl.equals(Locale.SIMPLIFIED_CHINESE.toString())) {
      this.chineseLanguageAction.setChecked(true);
      if (this.enLanguageAction.isChecked())
        this.enLanguageAction.setChecked(false); 
    } 
    manager.add((IAction)this.chineseLanguageAction);
    manager.add((IAction)this.enLanguageAction);
  }
  
  public Locale getCurrentLocale() {
    String nl = IniUtils.getIniConfiguration("osgi.nl");
    if (nl.length() == 0)
      nl = Locale.getDefault().toString(); 
    if (nl.equals(Locale.US.toString()))
      return Locale.US; 
    if (nl.equals(Locale.SIMPLIFIED_CHINESE.toString()))
      return Locale.SIMPLIFIED_CHINESE; 
    return Locale.getDefault();
  }
}
